<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
	xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3">

<head>
	<meta charset="UTF-8">
	<meta name="viewport"
		content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
		integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css"
		integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">

	<link rel="stylesheet" th:href="@{/css/style.css}" />
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
	<title>Insurance management System</title>
</head>

<body class="banner">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
	<script src="/js/shop/shoppingCart.js"></script>
	<!-- Start navigation bar -->

	<nav class="navbar navbar-expand-lg navbar-dark bg-primary shop-nav">
		<div class="container-fluid">
			<a class="navbar-brand" href="#">
				<img th:src="@{/images/logo.png}" src="../static/images/logo.png" width="auto" height="40"
					class="d-inline-block align-top" alt="" />
			</a>
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
				aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
			</button>

			<div class="collapse navbar-collapse" id="navbarSupportedContent">

				<ul class="navbar-nav ml-auto text-uppercase">
					<li class="nav-item active">
						<a class="nav-link mt-2" th:href="@{/viewOrders}" href="#">View-Orders</a>
					</li>
					<li class="nav-item active">
						<a class="nav-link mt-2" th:href="@{/shop}" href="#">Continue shopping</a>
					</li>
					</li>
					<li class="nav-item active">
						<a class="nav-link mt-2" sec:authorize="isAuthenticated()" th:href="@{/logout}"
							href="#">logout</a>
					</li>
					<li class="nav-item active">
						<a class="nav-link" th:href="@{/cart}" href="#">
							<img th:src="@{/images/cart.png}" width="auto" height="40" class="d-inline-block align-top"
								alt="" />
						</a>
					</li>

				</ul>

			</div>
		</div>
	</nav>

	<!-- Close navigation bar -->

	<main>
		<div class="container shop">
			<h2>shopping cart</h2>
			<!--Section: Block Content-->
			<section class="mt-5 mb-4">

				<!--Grid row-->
				<div class="row m-1">

					<!--Grid column-->
					<div class="col-sm-7 mr-4">
						<th:block th:each="item, status : ${cartItems}">
							<div class="row border rounded text-white bg-dark border-danger"
								th:with="policy = ${item.policy}" th:id="'row' + ${status.count}">
								<div class="col-1">
									<div>[[${status.count}]]</div>
									<div><a class="fas fa-trash icon-dark link-remove" th:rowNumber="${status.count}"
											th:href="@{'/cart/remove/'+${policy.id}}"></a></div>
								</div>
								<div class="col-5">
									<img src="" height="150px" width="300px"
										th:src="@{${'/policyImages/' + policy.imageName}}" class="img-fluid">
								</div>
								<div class="col-6">

									<div>
										<div th:if="${policy.year}">
											<div>
												<a th:href="@{'/shop/viewpolicy/'+${policy.id}}"
													th:title="${policy.name}">
													<b>[[${policy.name}]]</b>
												</a>
											</div>
											<div
												th:replace="yearControl :: yearControl(${item.year},${item.policy.id})">
												Year</div>
											<div>
												<span>X</span>
												<span class="h4">[[${policy.price}]]</span><span
													class="h6">&nbsp;Rs.</span>
											</div>

											<div>
												<span th:id="'subtotal' + ${policy.id}"
													class="h4 policySubtotal">[[${item.subtotal}]]</span><span
													class="h6">&nbsp;</span>

											</div>
											<b class="text-success">In Stock</b>

										</div>
										
											<div th:unless="${policy.year}">
												<div>
													<a th:href="@{'/shop/viewpolicy/'+${policy.id}}"
														th:title="${policy.name}">
														<b>[[${policy.name}]]</b>
													</a>
												</div>
												<div
													th:replace="yearControl :: yearControl(${item.year},${item.policy.id})">
													Year</div>
												<div>
													<div>
														<span>X</span>
														<span class="h4">[[${policy.price}]]</span><span
															class="h6">&nbsp;</span>
													</div>

													<b class="text-danger">Out of Stock</b>
												</div>
											</div>
										</div>
									</div>
							</div>
							<div class="row m-1">&nbsp;</div>
							<script type="text/javascript">
								contextPath = "[[@{/}]]";
								var policyId = "[[${item.policy.id}]]";
							</script>
						</th:block>


					</div>
					<div class="card-body rounded text-dark col-lg-4">
						<form th:action="@{/cart/addAddress}">
							<div class="" th:unless="${#lists.isEmpty(cartItems)}">
								<div class="mt-2">
									<span class = "h3">Total Payable Amount:</span>
								</div>
								<div class="mt-2">
									<span class = "h2" id ="totalAmount" name = "totalAmount" th:text="${total}">[[${total}]]</span>&nbsp;<span>Rs.</span>		
								</div>
							</div>
							<input type = "submit" class = "btn btn-danger mt-2" value = "Go to checkout"/>
					
						</form>
						
					</div>
				
				</div>
				
				
				<div th:if="${#lists.isEmpty(cartItems)}">
					<h3>You have not choosen any policies yet</h3>
				</div>
				
			</section>
		</div>
	</main>
	
	

	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
		integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
		crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
		integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
		crossorigin="anonymous"></script>
</body>
</html>
